summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Hartmann <ian@gentoo.org>2007-08-19 11:39:53 +0000
committerChristian Hartmann <ian@gentoo.org>2007-08-19 11:39:53 +0000
commit586d23043d55e93a5bae79ebae9d9206d3862253 (patch)
tree6aa560b384c3f6c118253bc9b375ec2a02be0616 /eclass/perl-module.eclass
parentmove from www-misc/libapreq2 and perl herd to www-apache/libapreq2 and apache... (diff)
downloadhistorical-586d23043d55e93a5bae79ebae9d9206d3862253.tar.gz
historical-586d23043d55e93a5bae79ebae9d9206d3862253.tar.bz2
historical-586d23043d55e93a5bae79ebae9d9206d3862253.zip
Fixed bug #176818
Diffstat (limited to 'eclass/perl-module.eclass')
-rw-r--r--eclass/perl-module.eclass9
1 files changed, 6 insertions, 3 deletions
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index 02aa7b6cf7e1..6a33e0898fe6 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.106 2007/07/17 11:59:18 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.107 2007/08/19 11:39:53 ian Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
# Maintained by the Perl herd <perl@gentoo.org>
@@ -12,13 +12,16 @@ inherit base
EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm src_compile src_install src_test src_unpack
+# 2005.08.19 ian
+# Added ${myconf} - bug #176818
+#
# 2005.04.28 mcummings
# Mounting problems with src_test functions has forced me to make the
# compilation of perl modules honor the FEATURES maketest flag rather than what
# is generally necessary. I've left a block to make sure we still need to set
# the SRC_TEST="do" flag on the suspicion that otherwise we will face 10 times
# as many bug reports as we have lately.
-
+#
# 2004.05.10 rac
# block on makemaker versions earlier than that in the 5.8.2 core. in
# actuality, this should be handled in the perl ebuild, so every perl
@@ -118,7 +121,7 @@ perl-module_src_prep() {
find ${S} -type d -name "\.svn" -exec /bin/rm -rf {} \; 2>/dev/null
if [ "${PREFER_BUILDPL}" == "yes" ] && ( [ -f Build.PL ] || [ ${PN} == "module-build" ] ); then
einfo "Using Module::Build"
- echo "$pm_echovar" | perl Build.PL --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
+ echo "$pm_echovar" | perl Build.PL ${myconf} --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
elif [ -f Makefile.PL ] && [ ! ${PN} == "module-build" ]; then
einfo "Using ExtUtils::MakeMaker"
echo "$pm_echovar" | perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\